Subject: Re: Query: Is it possible to lose interrupts between vhost and virtio_net during migration?

From: "Michael S. Tsirkin" <[email-masked]>
Date: Sun, 17 Aug 2014 12:22:33 +0200

On Fri, Aug 15, 2014 at 10:55:32AM +0800, Jason Wang wrote:
> >>> I wonder if k->set_guest_notifiers should be called after "hdev->started = true;" in vhost_dev_start.
> >> Michael, can we just remove those assertions? Since you may want to set
> >> guest notifiers before starting the backend.
> > Which assertions?
> 
> I mean assert(hdev->started) in vhost.c. Your patch may hit them.
I don't follow, but since my patch doesn't help anyway, pls go ahead
and post your idea in form of a patch, will be clearer and can
be tested.